Summary:	Netscape Portable Runtime
Name:		nspr
Version:	4.7.5
Release:	1%{?dist}
License:	MPL/GPL/LGPL
URL:		http://www.mozilla.org/projects/nspr/
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	%{name}-%{version}.tar.bz2
Source1:	nspr.pc.in
Source2:	nspr-config-vars.in

Patch1:         nspr-config-pc.patch

Obsoletes:      mozilla-nspr < 37:1.8
Provides:       mozilla-nspr = 37:1.8
Obsoletes:	seamonkey-nspr < 1.1
Provides:	seamonkey-nspr = 1.1

%description
NSPR provides platform independence for non-GUI operating system 
facilities. These facilities include threads, thread synchronization, 
normal file and network I/O, interval timing and calendar time, basic 
memory management (malloc and free) and shared library linking.

%package devel
Summary:	Development libraries for the Netscape Portable Runtime
Group:		Development/Libraries
Requires:	nspr = %{version}-%{release}
Obsoletes:      mozilla-nspr-devel < 37:1.8
Provides:       mozilla-nspr-devel = 37:1.8
Obsoletes:	seamonkey-nspr-devel < 1.1
Provides:	seamonkey-nspr-devel = 1.1

%description devel
Header files for doing development with the Netscape Portable Runtime.

%prep

%setup -q

# Original nspr-config is not suitable for our distribution,
# because on different platforms it contains different dynamic content.
# Therefore we produce an adjusted copy of nspr-config that will be 
# identical on all platforms.
# However, we need to use original nspr-config to produce some variables
# that go into nspr.pc for pkg-config.

cp ./mozilla/nsprpub/config/nspr-config.in ./mozilla/nsprpub/config/nspr-config-pc.in
%patch1 -p0

cp %{SOURCE2} ./mozilla/nsprpub/config/

%build

./mozilla/nsprpub/configure \
                 --prefix=%{_prefix} \
                 --libdir=%{_libdir} \
                 --includedir=%{_includedir}/nspr4 \
%ifarch x86_64 ppc64 ia64 s390x
                 --enable-64bit \
%endif
                 --enable-optimize="$RPM_OPT_FLAGS" \
                 --disable-debug

make

%install

# Crack-tastic!

DESTDIR=$RPM_BUILD_ROOT \
  make install

NSPR_LIBS=`./config/nspr-config --libs`
NSPR_CFLAGS=`./config/nspr-config --cflags`
NSPR_VERSION=`./config/nspr-config --version`
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

cat ./config/nspr-config-vars > \
                     $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nspr.pc

cat %{SOURCE1} | sed -e "s,%%libdir%%,%{_libdir},g" \
                     -e "s,%%prefix%%,%{_prefix},g" \
                     -e "s,%%exec_prefix%%,%{_prefix},g" \
                     -e "s,%%includedir%%,%{_includedir}/nspr4,g" \
                     -e "s,%%NSPR_VERSION%%,$NSPR_VERSION,g" \
                     -e "s,%%FULL_NSPR_LIBS%%,$NSPR_LIBS,g" \
                     -e "s,%%FULL_NSPR_CFLAGS%%,$NSPR_CFLAGS,g" >> \
                     $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nspr.pc

cp $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nspr.pc \
   $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/mozilla-nspr.pc
cp $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nspr.pc \
   $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/seamonkey-nspr.pc

%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}
%{__cp} ./config/nspr-config-pc $RPM_BUILD_ROOT/%{_bindir}/nspr-config

# Get rid of the things we don't want installed (per upstream)
%{__rm} -rf \
   $RPM_BUILD_ROOT/%{_bindir}/compile-et.pl \
   $RPM_BUILD_ROOT/%{_bindir}/prerr.properties \
   $RPM_BUILD_ROOT/%{_libdir}/libnspr4.a \
   $RPM_BUILD_ROOT/%{_libdir}/libplc4.a \
   $RPM_BUILD_ROOT/%{_libdir}/libplds4.a \
   $RPM_BUILD_ROOT/%{_datadir}/aclocal/nspr.m4 \
   $RPM_BUILD_ROOT/%{_includedir}/nspr4/md

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig >/dev/null 2>/dev/null

%postun
/sbin/ldconfig >/dev/null 2>/dev/null

%files
%defattr(-,root,root)
%{_libdir}/libnspr4.so
%{_libdir}/libplc4.so
%{_libdir}/libplds4.so

%files devel
%defattr(-, root, root)
%{_includedir}/nspr4
%{_libdir}/pkgconfig/nspr.pc
%{_libdir}/pkgconfig/mozilla-nspr.pc
%{_libdir}/pkgconfig/seamonkey-nspr.pc
%{_bindir}/nspr-config

%changelog
* Thu Aug 27 2009 Kai Engert <kengert@redhat.com> - 4.7.5-1
- Update to NSPR 4.7.5
* Tue Jun 25 2009 Elio Maldonado <emaldona@redhat.com> - 4.7.4-1.1
- Update to NSPR 4.7.4
- Resolves: #508027
* Wed Dec 10 2008 Kai Engert <kengert@redhat.com> - 4.7.3-1
- Update to NSPR 4.7.3
* Wed Aug 13 2008 Kai Engert <kengert@redhat.com> - 4.7.1-1
- NSPR 4.7.1
* Tue Apr 15 2008 Kai Engert <kengert@redhat.com> - 4.7.0.99.2-2
- fix incorrect obsoletes/provides for -devel package
* Mon Apr 14 2008 Kai Engert <kengert@redhat.com> - 4.7.0.99.2-1
- Initial version for RHEL 4
